# DISCLAIMER OF LIABILITY
# THIS IS SAMPLE SCRIPT. 
# NEITHER RECIPIENT NOR ANY CONTRIBUTORS SHALL HAVE ANY LIABILITY FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING WITHOUT LIMITATION LOST PROFITS), HOWEVER CAUSED AND
# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR
# TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
# USE OR DISTRIBUTION OF THE PROGRAM OR THE EXERCISE OF ANY RIGHTS GRANTED
# HEREUNDER, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES

#!/bin/bash
#set -x
if (( $# != 1 )); then
	echo -e \\n" SAS2 Set Logging Level"
	echo -e \\n"useage: s2sll.sh <level>"
	echo -e "\n"
	echo "To be used at FAE/TS direction only, improper use can have serious system"
	echo "stability and performance consequences."
	echo -e "\n"
	echo -e \\n
	exit 1
fi

scsi_host="/sys/class/scsi_host"
cd ${scsi_host}
subfolders=`ls -1`
for i in ${subfolders};  do
	cd ${i}
	if [ `cat proc_name` != "mpt2sas" ]; then
		cd ${scsi_host}
		continue;
	fi;
	echo $1 > logging_level
	logging_level=`cat logging_level`
	echo -e "\n"
	echo for ${i} logging_level=$logging_level
	cd ${scsi_host}
done;
