#!/bin/sh
#set -x
#
# This script is used to verify functionality of the trigger_xxx.sh scripts".
#
# 08/18/15 - Initial Release


if [ "$1" != "-run" ] ; then
	echo -e "\n"
	echo "Do not run this script unless you have reviewed it and updated it for your system."
	echo "Script needs the -run command line parameter to execute."
	echo -e "\n"
	exit 1
fi


###Must be the same Trigger Phrase as in trigger_ext.sh to test the trigger.
tripme=`date '+%H%M%S.%N'"__attempting task abort__From-trigger_test.sh"`

echo ${tripme} >> /var/log/messages
echo -e "\n"
echo "echo ${tripme} >> /var/log/messages"
echo -e "\n"